- group:    Tutorial
  start:    08-02-2022 00:00
  deadline: 15-02-2022 23:59
  tasks:
    - task: tutorial/aplusb
      score: 100

- group:    Mutual Exclusion / Part I
  start:    08-02-2022 18:00
  deadline: 15-02-2022 23:59
  tasks:
    - task: mutex/deadlock
      score: 100
    - task: mutex/dining
      score: 100
    - task: mutex/mutexed
      score: 100

- group:    Mutual Exclusion / Part II
  start:    15-02-2022 18:00
  deadline: 22-02-2022 23:59
  tasks:
    - task: mutex/livelock
      score: 200
    - task: mutex/mutex
      score: 200
    - task: mutex/spinlock
      score: 200
    - task: mutex/try-lock
      score: 200
    - task: mutex/queue
      score: 200

- group:    Condition Variables / Thread Pool / Futures
  start:    22-02-2022 18:00
  deadline: 08-03-2022 23:59
  tasks:
    - task: condvar/barrier
      score: 200
    - task: condvar/semaphore
      score: 200
    - task: condvar/condvar
      score: 200
    - task: condvar/future
      score: 200
    - task: condvar/thread-pool
      score: 300

- group:    Fibers / Part I
  start:    07-03-2022 00:00
  deadline: 22-03-2022 23:59
  tasks:
    - task: fibers/coroutine
      score: 500

- group:    Fibers / Part II
  start:    17-03-2022 12:00
  deadline: 29-03-2022 23:59
  tasks:
    - task: fibers/sleep_for
      score: 300

- group:    Fibers / Part III
  start:    24-03-2022 00:00
  deadline: 05-04-2022 23:59
  tasks:
    - task: fibers/mutex
      score: 500

- group:    Futures / Part I
  start:    01-04-2022 12:00
  deadline: 12-04-2022 23:59
  tasks:
    - task: futures/executors
      score: 400
